<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container position-relative">
	<vp-backenderror class="sticky-top pt-1"></vp-backenderror>

	<h1 class="mt-5">{{ 'review.main.reviewandseal' | translate }}</h1>
	<p class="lead mt-2">
		{{ 'review.main.review' | translate }}
	</p>

	<div
			*ngFor="let contestAndValues of contestsAndValues$ | async"
			class="ballot-group my-5"
	>
		<vp-review-contest-container
				[contestAndValues]="contestAndValues"
		></vp-review-contest-container>
	</div>

	<div
			class="alert alert-primary d-flex align-items-start gap-3"
			id="review-main-warning-aftersealingnochange"
	>
		<vp-icon name="info-circle-fill"></vp-icon>
		<div>
			<ng-container *vpTranslationList="'review.main.warning.aftersealingnochange'; key as warningParagraph">
				<p [innerHTML]="warningParagraph | translate"></p>
			</ng-container>
		</div>
	</div>

	<div class="footer-nav my-5 d-flex flex-column flex-sm-row gap-4">
		<button
				(click)="confirmSeal()"
				[disabled]="isLoading$ | async"
				aria-describedby="review-main-warning-aftersealingnochange"
				class="btn btn-dark btn-lg order-3"
				id="btn_seal_vote"
				type="button"
		>
			{{ 'review.main.sealballot' | translate }}
		</button>

		<button
				class="btn btn-link btn-lg order-1 me-auto"
				id="btn_back_to_choose"
				routerLink="/choose"
				type="button"
		>
			<vp-icon name="pencil-fill"></vp-icon>
			<span>{{ 'review.main.changechoices' | translate }}</span>
		</button>

		<button
				(click)="confirmCancel()"
				class="btn btn-link btn-lg order-2"
				id="btn_cancel"
				type="button"
		>
			<vp-icon name="x-lg"></vp-icon>
			<span>{{ 'common.cancelprocess' | translate }}</span>
		</button>
	</div>
</div>
